### Enumeration

# GtkStringFilterMatchMode

#### Declaration

    enum Gtk.StringFilterMatchMode

#### Description [src]

Specifies how search strings are matched inside text.

#### Members

`GTK_STRING_FILTER_MATCH_MODE_EXACT`

  The search string and text must match exactly.

  - Value: `0`
  - Nickname: `exact`
  - Available since: 4.0
`GTK_STRING_FILTER_MATCH_MODE_SUBSTRING`

  The search string must be contained as a substring inside the text.

  - Value: `1`
  - Nickname: `substring`
  - Available since: 4.0
`GTK_STRING_FILTER_MATCH_MODE_PREFIX`

  The text must begin with the search string.

  - Value: `2`
  - Nickname: `prefix`
  - Available since: 4.0